Bug 1564857 - Don't have metrics-hawkular-metrics-schema image
Summary: Don't have metrics-hawkular-metrics-schema image
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.10.0
Assignee: John Sanda
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 10:12 UTC by Junqi Zhao
Modified: 2018-12-20 21:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1563518
Environment:
Last Closed: 2018-12-20 21:11:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Junqi Zhao 2018-04-08 10:13:26 UTC
blocked metrics 3.10 testing, other pods can not be in ready status

Comment 3 Xiaoli Tian 2018-04-12 05:53:36 UTC
Available to be tested on openshift-ansible-3.10.0-0.20.0

Comment 4 Junqi Zhao 2018-04-12 08:47:49 UTC
Image is not ready
# docker pull brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/openshift3/metrics-hawkular-metrics-schema:v3.10
Trying to pull repository brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/openshift3/metrics-hawkular-metrics-schema ... 
unknown: Not Found

Comment 5 John Sanda 2018-04-12 17:22:32 UTC
PR with fix https://github.com/openshift/openshift-ansible/pull/7935

Comment 6 Junqi Zhao 2018-04-18 07:30:39 UTC
Remove TestBlocker keyword, but metrics-schema-installer does not have v3.10 tag

# curl -X GET -k brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/v1/repositories/openshift3/metrics-schema-installer/tags | python -m json.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   593  100   593    0     0   4011      0 --:--:-- --:--:-- --:--:--  4034
{
    "latest": "53025155b50c34fba9ef6884103521a7c13dfbad3804ba2e3f13c8210130dc00",
    "rhaos-3.10-rhel-7-containers-candidate-49197-20180411170621": "901a7d019cdb2ed4804ee3d863b81497879b6033ea84bdba8839fd29f23b22d5",
    "rhaos-3.10-rhel-7-containers-candidate-68284-20180411191357": "53025155b50c34fba9ef6884103521a7c13dfbad3804ba2e3f13c8210130dc00",
    "v3.10.0": "53025155b50c34fba9ef6884103521a7c13dfbad3804ba2e3f13c8210130dc00",
    "v3.10.0-0.2.0.0": "901a7d019cdb2ed4804ee3d863b81497879b6033ea84bdba8839fd29f23b22d5",
    "v3.10.0-0.3.0.0": "53025155b50c34fba9ef6884103521a7c13dfbad3804ba2e3f13c8210130dc00"
}

Comment 7 Junqi Zhao 2018-05-08 01:45:21 UTC
metrics-schema-installer image now has v3.10 tag
# curl -X GET -k brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/v1/repositories/openshift3/metrics-schema-installer/tags | python -m json.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  4026  100  4026    0     0  36388      0 --:--:-- --:--:-- --:--:-- 36600
{
-----------------------------snip-------------------------------
    "v3.10": "d278bc68c812dc43eee6bd1fadff61b7748b5209a1b4197a00beef4831d70cbd",
    "v3.10.0": "d278bc68c812dc43eee6bd1fadff61b7748b5209a1b4197a00beef4831d70cbd",
-----------------------------snip-------------------------------
}

please set it to ON_QA, so we can close it


Note You need to log in before you can comment on or make changes to this bug.